Description

I think that one of the major function in a gis software are the select tools.In general Qgis does a good job, but there are some things that

can be changed to make it better (in my opinion).

Here is a list of suggestion of things that I think would be ...:

1. Some type of select tools are missing (see the python plug-in select plus) like Select all, Select none, Invert selection (that is available in

the attribute manager), Select polygon, Select by freehand, The search query builder, etc.

2. There should be a Select menu with all the select tools

3. There should be a select toolbar with all the select tools

4. The spatial query plug-in see patch #2634 could be integrated in the menu and toolbar

5. A search manager where the searches with the search query builder  can be stored.

I don't know if this enhancement fits better with the the milestone 2.0 or 1.5 so be free to change it to 2.0 if you think so.

Associated revisions

Revision cd9f47ae - 2016-05-19 08:14 AM - Nyall Dawson

[FEATURE] Improved map select tool behaviour

Implements the improved mouse/key modifier behaviour discussed in:

http://osgeo-org.1560.x6.nabble.com/Key-modifiers-with-selection-tc5239653.html

Specifically,

For click-and-drag selections:

- holding shift = add to selection

- holding ctrl = substract from selection

- holding ctrl+shift = intersect with current selection

- holding alt (can be used with shift/ctrl too) = change from

"intersects" to "fully contains" selection mode

For single-click selections:

- holding shift or ctrl = toggle whether feature is selected

(ie either add to current selection or remove from current

selection)

This brings the canvas behaviour into line with other design apps
and also with the composer behaviour.

(fix #2666)

History

#1 - 2010-08-18 01:30 AM - Mike Taves

The scope of this bug might need to be split into a few separate tickets, but I completely agree that the ideas in this are important enhancements. That

said, I can think of three other related tickets: combo keys to add/subtract from current selection (like other graphics programs), select by circle/ellipse, and

to show dimensions (if applicable) in lower-left status bar text (e.g., 20.213 m x 2.123 m).

My top request is for a Freehand select tool, e.g., draw an irregular polygon and select elements within the polygon selection. The current rectangular

select tool is too simplified as a serious select tool, and I get a lot of flak regarding this tool's limitation from my peers. A new Freehand select tool can be

added to a new "Select toolbox" idea proposed above (currently the select/deselect tools are part of the "Attributes" toolbox).

#2 - 2010-10-06 01:28 AM - Jhelebrant -

I would also vote for selection improvement. At least "Invert selection" would be very useful as sometimes is easier to select "what you do not want to

select".

PS: freehand selection is very good idea :-)

#3 - 2010-10-06 01:39 AM - Giovanni Manghi

I believe all but 5) are already implemented features in qgis-dev. Please install it (under windows using osgeo4w, I can provide packages for Ubuntu

10.04) and leave further feedback.

#4 - 2010-10-06 02:46 AM - Jürgen Fischer

Replying to [comment:4 lutra]:

I believe all but 5) are already implemented features in qgis-dev. Please install it (under windows using osgeo4w, I can provide packages for Ubuntu

10.04) and leave further feedback.

No need for extra Ubuntu packages.   We already provide nightly builds for Debian Lenny, Squeeze, Unstable and Ubuntu Lucid and Maverick on qgis.org

(see http://qgis.org/wiki/Download).

#5 - 2010-10-06 02:52 AM - Giovanni Manghi

No need for extra Ubuntu packages.   We already provide nightly builds for Debian Lenny, Squeeze, Unstable and Ubuntu Lucid and Maverick on

qgis.org (see http://qgis.org/wiki/Download).

oh! how I did miss that!? ;) how long have been there the NB for debian/ubuntu?

#6 - 2010-10-06 03:23 AM - Jürgen Fischer
Replying to [comment:6 lutra]:

oh! how I did miss that!? ;) how long have been there the NB for debian/ubuntu?

I suppose Aug, 15th.  http://www.qgis.org/qgiswiki/index.php?title=Download&#38;diff=2600&#38;oldid=2593

#7 - 2011-08-16 12:12 AM - Alister Hood

- Target version deleted (Version 1.7.0)

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

I believe all but 5) are already implemented features in qgis-dev. Please install it (under windows using osgeo4w, I can provide packages for Ubuntu

10.04) and leave further feedback.

I don't think "select all" or "invert selection" are available in the main QGIS window, either in the menu or on the toolbar.  "Invert selection" is available in the

attribute browser.  "Select all" is not, but you can instead do "select none", then "invert selection".

#8 - 2011-08-16 12:18 AM - Alister Hood

And these suggestions from the first comment are still relevant:

combo keys to add/subtract from current selection (like other graphics programs), select by circle/ellipse, and to show dimensions (if applicable) in

lower-left status bar text (e.g., 20.213 m x 2.123 m).

The combo keys should be the same combo keys used with the node tool.

#9 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#10 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#11 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#12 - 2016-02-29 01:00 PM - Anita Graser

- Priority changed from Low to Normal

Some of the suggestions are now implemented (e.g. select by polygon or freehand) but currently there are no combo keys to add/subtract from

current selection (like other graphics programs). I'm raising the priority for these, because I think these are important UX-wise when trying to select

features with the mouse.

#13 - 2016-03-06 09:19 AM - Anita Graser

- Assignee set to Matthias Kuhn
assigning to Matthias since he raised this issue in http://osgeo-org.1560.x6.nabble.com/Key-modifiers-with-selection-tc5239653.html

#14 - 2016-05-19 04:20 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"cd9f47ae45e4b664356588e6fb6c63c0b3c43aa7".
